import SidebarItem, { mapDispatchToProps } from '../index'
import QuizEntry from '../../../../../records/QuizEntry'

import { honorsSidebarItemProps } from '../../../../../../../tests/util/sharedExamples/honorsSidebarProps'

describe('Common SidebarItem Index', () => {
  const testbed = createTestbed(withContext(SidebarItem, {}))

  const quizEntry = QuizEntry.create()

  shouldRenderComponent(
    testbed, { quizEntry }, SidebarItem
  )

  honorsSidebarItemProps(() => {}, mapDispatchToProps)
})
